Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::get_unsafe_fn Struct Reference
Core

## Public Member Functions
template<typename T >
constexpr T | operator() (T &&t) const
template<typename T >
constexpr T | operator() (dangling< T > t) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename T >

constexpr T ranges::v3::get_unsafe_fn::operator() | ( | T && | t | ) | const

Returns
  `t.get_unsafe()` if `t` is an instance of `ranges::dangling`; otherwise, return `t`.

## ◆ operator()() [2/2]

template<typename T >

constexpr T ranges::v3::get_unsafe_fn::operator() | ( | dangling< T > | t | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.